Qt 5.6 | Qt Labs Controls | QML Types | Label QML Type

Qt 5.6.3 Reference Documentation

# Label QML Type

A text label. More...

Import Statement: | import Qt.labs.controls 1.0

- List of all members, including inherited members

## Properties

- background : Item

## Detailed Description

Label extends Text with styling and font inheritance. The default colors and font are style specific. Label can also have a visual background item.

      Label {
          text: "Label"
      }

Note: Types in the Qt.labs module are not guaranteed to remain compatible in future versions.

See also Customizing Label.

## Property Documentation

background : Item

This property holds the background item.

Note: If the background item has no explicit size specified, it automatically follows the control's size. In most cases, there is no need to specify width or height for a background item.

See also Customizing Label.